diff --git a/extra/Configs/Config.in.arch b/extra/Configs/Config.in.arch
index 8a02cb1..4679517 100644
--- a/extra/Configs/Config.in.arch
+++ b/extra/Configs/Config.in.arch
@@ -93,7 +93,7 @@ if ARCH_HAS_NO_MMU
 comment "Target CPU lacks a memory management unit (MMU)"
 endif
 
-config ARCH_HAS_MMU
+config ARCH_USE_MMU
 	bool "Target CPU has a memory management unit (MMU)"
 	depends on !ARCH_HAS_NO_MMU
 	default y
@@ -102,13 +102,6 @@ config ARCH_HAS_MMU
 	  then answer N here.  Normally, Linux runs on systems with an MMU.  
 	  If you are building a uClinux system, answer N.
 
-	  Most people will answer Y.
-
-config ARCH_USE_MMU
-	bool "Do you want to utilize the MMU?"
-	depends on ARCH_HAS_MMU
-	default y
-	help
 	  If your target CPU has a MMU, and you wish to actually utilize it,
 	  then answer Y here.  Normal Linux requires an MMU.
 
diff -ru uClibc.bak/extra/Configs/Config.alpha uClibc/extra/Configs/Config.alpha
--- uClibc.bak/extra/Configs/Config.alpha	2011-12-30 05:11:07.000000000 -0600
+++ uClibc/extra/Configs/Config.alpha	2012-01-28 21:51:10.555746374 -0600
@@ -11,6 +11,5 @@
 	bool
 	default y
 	select ARCH_LITTLE_ENDIAN
-	select ARCH_HAS_MMU
 	select ARCH_HAS_NO_LDSO
 	select UCLIBC_HAS_LFS
diff -ru uClibc.bak/extra/Configs/Config.avr32 uClibc/extra/Configs/Config.avr32
--- uClibc.bak/extra/Configs/Config.avr32	2011-12-30 05:11:07.000000000 -0600
+++ uClibc/extra/Configs/Config.avr32	2012-01-28 21:51:10.575746540 -0600
@@ -19,7 +19,6 @@
 
 config CONFIG_AVR32_AP7
 	bool "AVR32 AP7"
-	select ARCH_HAS_MMU
 
 endchoice
 
diff -ru uClibc.bak/extra/Configs/Config.cris uClibc/extra/Configs/Config.cris
--- uClibc.bak/extra/Configs/Config.cris	2011-12-30 05:11:07.000000000 -0600
+++ uClibc/extra/Configs/Config.cris	2012-01-28 21:51:10.534804397 -0600
@@ -24,11 +24,9 @@
 		- CRISv32  Support for Axis' CRISv32 architecture.
 
 config CONFIG_CRIS
-	select ARCH_HAS_MMU
 	bool "CRIS"
 
 config CONFIG_CRISV32
-	select ARCH_HAS_MMU
 	bool "CRISv32"
 
 endchoice
diff -ru uClibc.bak/extra/Configs/Config.hppa uClibc/extra/Configs/Config.hppa
--- uClibc.bak/extra/Configs/Config.hppa	2011-12-30 05:11:07.000000000 -0600
+++ uClibc/extra/Configs/Config.hppa	2012-01-28 21:51:10.575746540 -0600
@@ -11,7 +11,6 @@
 	bool
 	default y
 	select ARCH_BIG_ENDIAN
-	select ARCH_HAS_MMU
 	select HAS_NO_THREADS
 	select ARCH_HAS_NO_LDSO
 	select HAVE_NO_SSP
diff -ru uClibc.bak/extra/Configs/Config.i386 uClibc/extra/Configs/Config.i386
--- uClibc.bak/extra/Configs/Config.i386	2011-12-30 05:11:07.000000000 -0600
+++ uClibc/extra/Configs/Config.i386	2012-01-28 21:51:10.575746540 -0600
@@ -11,7 +11,6 @@
 	bool
 	default y
 	select ARCH_LITTLE_ENDIAN
-	select ARCH_HAS_MMU
 
 choice
 	prompt "Target x86 Processor Family"
diff -ru uClibc.bak/extra/Configs/Config.ia64 uClibc/extra/Configs/Config.ia64
--- uClibc.bak/extra/Configs/Config.ia64	2011-12-30 05:11:07.000000000 -0600
+++ uClibc/extra/Configs/Config.ia64	2012-01-28 21:51:10.575746540 -0600
@@ -11,5 +11,4 @@
 	bool
 	default y
 	select ARCH_LITTLE_ENDIAN
-	select ARCH_HAS_MMU
 	select ARCH_HAS_NO_LDSO
diff -ru uClibc.bak/extra/Configs/Config.powerpc uClibc/extra/Configs/Config.powerpc
--- uClibc.bak/extra/Configs/Config.powerpc	2011-12-30 05:11:07.000000000 -0600
+++ uClibc/extra/Configs/Config.powerpc	2012-01-28 21:51:10.565745340 -0600
@@ -11,7 +11,6 @@
 	bool
 	default y
 	select ARCH_BIG_ENDIAN
-	select ARCH_HAS_MMU
 
 choice
 	prompt "Target Processor Type"
diff -ru uClibc.bak/extra/Configs/Config.sh uClibc/extra/Configs/Config.sh
--- uClibc.bak/extra/Configs/Config.sh	2011-12-30 05:11:07.000000000 -0600
+++ uClibc/extra/Configs/Config.sh	2012-01-28 21:51:10.555746374 -0600
@@ -37,7 +37,6 @@
 	bool "SH2"
 
 config CONFIG_SH3
-	select ARCH_HAS_MMU
 	bool "SH3"
 
 config CONFIG_SH4
diff -ru uClibc.bak/extra/Configs/Config.sh64 uClibc/extra/Configs/Config.sh64
--- uClibc.bak/extra/Configs/Config.sh64	2011-12-30 05:11:07.000000000 -0600
+++ uClibc/extra/Configs/Config.sh64	2012-01-28 21:51:10.546326182 -0600
@@ -25,7 +25,6 @@
 	  - "SH5" SuperH SH-5 101, 103
 
 config CONFIG_SH5
-	select ARCH_HAS_MMU
 	select UCLIBC_HAS_LFS
 	bool "SH5"
 
diff -ru uClibc.bak/extra/Configs/Config.x86_64 uClibc/extra/Configs/Config.x86_64
--- uClibc.bak/extra/Configs/Config.x86_64	2011-12-30 05:11:07.000000000 -0600
+++ uClibc/extra/Configs/Config.x86_64	2012-01-28 21:51:10.575746540 -0600
@@ -11,4 +11,3 @@
 	bool
 	default y
 	select ARCH_LITTLE_ENDIAN
-	select ARCH_HAS_MMU
